#!/bin/bash

# Cleanup function for locally generated nanoshaper files
cleanup(){
  rm exposedIndices.txt exposed.xyz generated.conf nano.out stderror.txt
}

# Makes the directories that will contain computed .gvert/.gface files
mkdir sm_ef_files
mkdir sm_asc_files

# Iterate through all small molecule pqr files, computing electric field and apparent surface charge .gvert/.gface files, in their containing folders
for sm_pqr in 173_SM_PQRS/*.pqr; do
  sm_base=${sm_pqr##*/}
  sm_base=${sm_base%.pqr}
  ../build/aasc ${sm_pqr} 80 1 --write_ef=sm_ef_files/${sm_base}_ef
  ../build/aasc ${sm_pqr} 80 1 --write_asc=sm_asc_files/${sm_base}_asc
done

cleanup
