#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "structures.h"
#include "calculations.h"
#include <math.h>

#define LINE_SIZE 1024

/**
 * Read the file containing the lists of residues to be calculated.
 * Pick these out of the read physical structure, and return a list of these residues
**/
residue** read_residue_list(char* residue_list_file, physical_structure *phys_struct){
  
  FILE    *fp;

  fp = fopen(residue_list_file, "r"); //try to open pqr file

  if (!fp){
		fprintf(stderr, "There was an error when opening the residue list file");
    exit(-1);
  }

  char    c;
  int     line_count;
  for (c = getc(fp); c != EOF; c = getc(fp)){
    if (c == '\n') // Increment count if this character is newline 
      line_count = line_count + 1; 
  }

  /* rewind the file */
  fseek(fp, 0, SEEK_SET);

  residue **compute_residue_list = calloc(line_count,sizeof(residue*));

  int current_residue_number;

  for(int i = 0; (i < line_count) && (fscanf(fp,"%d",&current_residue_number) != EOF);i++){
    compute_residue_list[i] = phys_struct->residue_list[current_residue_number-1];
  }

  return compute_residue_list;
}
