/***************************************************************************
* GEM -- electrostatics calculations and visualization                     *
* Copyright (C) 2006 John C. Gordon, 2021 Dan Folescu                      *
*                                                                          *
* This program is free software; you can redistribute it and/or modify     *
* it under the terms of the GNU General Public License as published by     *
* the Free Software Foundation; either version 2 of the License, or        *
* (at your option) any later version.                                      *
*                                                                          *
* This program is distributed in the hope that it will be useful,          *
* but WITHOUT ANY WARRANTY; without even the implied warranty of           *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            *
* GNU General Public License for more details.                             *
*                                                                          *
* You should have received a copy of the GNU General Public License along  *
* with this program; if not, write to the Free Software Foundation, Inc.,  *
* 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.              *
***************************************************************************/

#include <stdio.h>
#include <math.h>
#include "file_io.h"
#include "calculations.h"
#include "defines.h"
#include <stdlib.h> /* for exit */
#include <string.h> /* for strcat */

#define NanoShaper_LINE_SIZE 1024

void write_per_atom(data_struct* data, char* file_name){

  FILE *fp;

  char line[NanoShaper_LINE_SIZE];

  strcpy(line, file_name);
  strcat(line, ".aux");

  fp = fopen(line, "w");

  int i = 0;
  int atom_count = 1;
  int j;
  for(; i < data->nresidues; i++){
    for(j = 0; j < data->residues[i].natoms; j++){
      fprintf(fp, "%10d %20f %20f\n", atom_count++, data->residues[i].atoms[j].surface_charge, data->residues[i].atoms[j].surface_area);
    }
  }

  fclose(fp);
}
